Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.xds.metadata.extract
Class EbXML_2_1InputStreamFolderExtractor

    java.lang.Object
      org.eclipse.ohf.ihe.xds.metadata.extract.EbXML_2_1InputStreamFolderExtractor

All Implemented Interfaces:
  FolderExtractor

    public class EbXML_2_1InputStreamFolderExtractor

extends java.lang.Object
implements FolderExtractor

Class containing utility methods to extract XDS folder metadata from ebRIM 2.1 conformant InputStream.

Author:
  Sarah Knoop

Field Summary
`static java.lang.String` | `DESCRIPTOR` Descriptor for Extractor

Constructor Summary
`EbXML_2_1InputStreamFolderExtractor(java.io.InputStream ebXMLFolderInputStream)` Creates an extractor for the InputStream given.

Method Summary
`FolderType` | `extract()` Renders a FolderType object from a InputStream containing a single instance of a RegistryPackageType.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DESCRIPTOR

    public static final java.lang.String DESCRIPTOR

  Descriptor for Extractor

  See Also:
    Constant Field Values

Constructor Detail

### EbXML_2_1InputStreamFolderExtractor

    public EbXML_2_1InputStreamFolderExtractor(java.io.InputStream ebXMLFolderInputStream)

  Creates an extractor for the InputStream given. InputStream must contain one of the following: A single instance of a RegistryPackageType. Must be conformant to the modified rim.xsd. A single instance of a LeafRegistryObjectListType populated with extactly one RegistryPackageType and one or more AssociationType1 (to reference the documents to be placed in this folder). Must be conformant to the modified rim.xsd. UUIDs in the InputStream are assumed to match those in `UUIDs`.

  Parameters:
    `ebXMLFolderInputStream` -

Method Detail

### extract

    public FolderType extract()
                       throws MetadataExtractionException

  Renders a FolderType object from a InputStream containing a single instance of a RegistryPackageType. Must be conformant to the modified rim.xsd. UUIDs in the InputStream are assumed to match those in `UUIDs`.

  Specified by:
    `extract` in interface `FolderExtractor`
  Throws:
    `MetadataExtractionException`
  See Also:
    `FolderExtractor.extract()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD